% Project point from image coordinates into camera coordinates
% Provides vector from camera center to a point along the ray in camera
% coordinates.
%
% iPix - vertical pixel index or row-vector of indices (increases downward 
%        from top left corner)
% jPix - horizontal index or row-vector of indices 
%
% zCm - depth of the point from the camera (cm) (distance parallel 
%       to optic axis from camera optic center)
%     
% fc - vector of focal lengths in j and i directions.
%      that is, fc = [fc_j fc_i] == [fc_x fc_y]
% cc - camera center vector
%      pixel location of the camera center [cc_x cc_y] == [cc_j cc_i]
%
% v - 3xn matrix of projected points in camera coordinates.

% Author: Phileas Fogg
% Term: Winter 2012-2013
% Course: CS498 - Computer Vision
% Assignment: Lab 5 - SIFT feature matching

function v = reprojectPoint(iPix,jPix,zCm,fc,cc)
% TODO: Replace this very simple code with an actual implementation.
v = [iPix;jPix;ones(1,size(iPix,2))];
    
end
