% camera = setupCamera
%
% This function picks a camera and resolution.
% You can modify this function to pick a different camera 
% for your project.
function camera = setupCamera()

% cameras = webcamlist; % To see names of cameras. Indices correspond
                        % to names in this list.

camera = webcam(1); % Use list above to choose another camera
resolutions = camera.AvailableResolutions;
% dim = zeros(length(resolutions),2);
% for i=1:length(resolutions);
%     % parse resolution
%     r = resolutions{i};
%     dim(i,:) = strread(r,'%dx');  %#ok<DSTRRD> % only one type being read
% end
% area = dim(:,1).*dim(:,2);
% indBestResolution = find(area == max(area,[],1),1);
indBestResolution = 1;
resolution = resolutions{indBestResolution};
set(camera,'Resolution',resolution)
